<?php
/*
Template Name:カテゴリー一覧
*/
?>
<?php get_header(); ?>

<?php get_template_part( 'parts_homeheader' ); ?>

			<div id="content">

				<div id="inner-content" class="wrap cf">

						<main id="main" class="m-all t-2of3 d-5of7 cf" role="main">

							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

							<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article">

								<header class="article-header">

									<h1 class="page-title" itemprop="headline"><?php the_title(); ?></h1>

								</header>

								<?php if ( has_post_thumbnail() && !get_option( 'post_options_eyecatch' ) ) :?>
								<figure class="eyecatch">
									<?php the_post_thumbnail('full'); ?>
								</figure>
								<?php endif; ?>

								<section class="entry-content cf" itemprop="articleBody">
									<?php the_content(); ?>
									<div class="cat-list cf">
									<ul>
									<?php $args = array(
										'title_li' => '',
									); ?>
									<?php wp_list_categories($args); ?>
									</ul>
									</div>

								</section>

								<footer class="article-footer cf">

								</footer>

<?php if ( is_active_sidebar( 'cta' ) && get_option('post_options_page_cta') ) : ?>
<div class="cta-wrap wow animated fadeIn" data-wow-delay="0.7s">
<?php dynamic_sidebar( 'cta' ); ?>
</div>
<?php endif; ?>

							</article>

							<?php endwhile; endif; ?>

						</main>

						<?php get_sidebar(); ?>

				</div>

			</div>

<?php get_footer(); ?>
