<?php
/*
Template Name:サイドバーなし（1カラム）
*/
?>
<?php get_header(); ?>

<?php get_template_part( 'parts_homeheader' ); ?>

			<div id="content">

				<div id="inner-content" class="wrap page-full cf">

						<main id="main" class="m-all t-all d-all cf" role="main">

<?php get_template_part( 'parts_slide' ); ?>
<?php get_template_part( 'parts_add_top' ); ?>

							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

							<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article">

								<header class="article-header">

									<h1 class="page-title entry-title" itemprop="headline"><?php the_title(); ?></h1>

								</header>

								<?php if ( has_post_thumbnail() && !get_option( 'post_options_eyecatch' ) ) :?>
								<figure class="eyecatch">
									<?php the_post_thumbnail('full'); ?>
								</figure>
								<?php endif; ?>

								<section class="entry-content cf" itemprop="articleBody">
									<?php the_content(); ?>
								</section>
<?php if ( is_active_sidebar( 'cta' ) && get_option('post_options_page_cta') ) : ?>
<div class="cta-wrap wow animated fadeIn" data-wow-delay="0.7s">
<?php dynamic_sidebar( 'cta' ); ?>
</div>
<?php endif; ?>


							</article>

							<?php endwhile; endif; ?>

<?php get_template_part( 'parts_add_bottom' ); ?>

						</main>


				</div>

			</div>

<?php get_footer(); ?>
